This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 461708 - unsupported "developer content relevant" tags
unsupported "developer content relevant" tags
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 21:23 EDT by Darrin Mison
Modified: 2010-11-23 22:58 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-13 00:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2008-09-09 21:23:32 EDT
version: publican-0.36-5.el5

Description of problem:
The following valid docbook tags produce warnings that are reported as unsupported: 

type, methodname, exceptionname, varname, interfacename

warning message as follows:

*WARNING: Unknown tag: methodname*
This tag may not be displayed correctly, may generate invalid xhtml, or may breach Section 508 Accessibility standards.
Comment 1 Jeff Fearn 2008-10-07 21:24:59 EDT
Do these tags render correctly in html, html-single and PDF?

Do the html-single and html outputs pass validation for XHTML 1.0 strict at http://validator.w3.org ?
Comment 2 Darrin Mison 2008-10-07 21:33:18 EDT
They just render as normal text, no special formatting.

The upstream source for a couple of my books have a lot of these tags as they are developer guides, and it produces *a lot* of warnings.

It's not a big-deal, but *some* formatting for those would be nice.
Comment 3 Jeff Fearn 2008-10-07 21:47:13 EDT
Darrin, do the html-single and html outputs pass validation for XHTML 1.0 strict at http://validator.w3.org ?

Brian, should these tags be mono-spaced bold or proportional bold?
Comment 4 Jeff Fearn 2008-11-13 00:42:04 EST
Validated output of type, methodname, exceptionname, varname, interfacename.
Comment 5 Fedora Update System 2009-01-14 21:56:26 EST
publican-0.39-0.fc9, publican-fedora-0.16-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.